Skip to main content
GET
List jobs

Authorizations

Authorization
string
header
required

A workspace API key.

Query Parameters

projectId
string

Return only jobs in this authorized project.

Required string length: 1 - 200
kind
enum<string>

Filter to one async job kind.

Available options:
video.render,
video.edit
status
enum<string>

Filter to jobs in this lifecycle state.

Available options:
queued,
rendering,
awaiting_review,
done,
cancelled,
failed,
qa_failed
limit
integer
default:50

Maximum rows per page.

Required range: 1 <= x <= 100
cursor
string

Opaque cursor from the previous page.

Required string length: 1 - 500

Response

Success.

success
boolean
required
jobs
object[]
required
hasMore
boolean
required
nextCursor
string | null
required
{key}
any